// Skybox

textures/ut_oilrig/skybox
{
	qer_editorimage textures/ut_oilrig/skybox.tga
	q3map_sun .76 .695 .721 80 180 37
	q3map_skylight 70 6
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	skyparms textures/ut_oilrig/env/box22/box22 - -
}

textures/ut_oilrig/frame
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_oilrig/frame.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/floor_grate
{
	qer_editorimage textures/base_floor/proto_grate4.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/base_floor/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/oilrig-glass
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_oilrig/truefence
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_oilrig/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/will/pingpong
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map models/mapobjects/will/pingpong.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/rail_support
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_oilrig/rail_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_oilrig/chain
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_oilrig/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
